Page MenuHomePhabricator

Newcomer tasks: task explanation widget
Closed, ResolvedPublic

Description

  • Task explanation (current mockup)
    • Below the task feed interface is the area saying which task type is needed on the suggested article.
    • Each task type will have some copy written to explain what that task is.
    • When the user hovers over the "i" icon, a popup opens to explain the task type further. This will include links for some language/task type combinations, where good links exist.

Below is the table of which links should be available for which languages and task types. All these links should be behind a "Learn more" label. If there is no link, that combination should not have the "Learn more" label at all.

Taskviwikicswikiarwikikowiki
CopyeditLink
LinksLinkLink
ReferencesLinkLinkLinkLink
Update
ExpandLink

Details

Related Gerrit Patches:
mediawiki/extensions/GrowthExperiments : masterNewcomerTasks: Add "learn more" link support
mediawiki/extensions/GrowthExperiments : masterNewcomer tasks: task explanation widget

Event Timeline

kostajh created this task.Oct 9 2019, 10:27 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 9 2019, 10:27 AM
kostajh removed kostajh as the assignee of this task.Oct 9 2019, 10:31 AM
MMiller_WMF renamed this task from Built out task explanation widget to Newcomer tasks: task explanation widget.Oct 9 2019, 5:47 PM
MMiller_WMF added subscribers: Catrope, Tgr, Etonkovidova and 6 others.

Change 543000 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] (wip) Newcomer tasks: task explanation widget

https://gerrit.wikimedia.org/r/543000

Change 543000 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Newcomer tasks: task explanation widget

https://gerrit.wikimedia.org/r/543000

kostajh removed kostajh as the assignee of this task.Oct 26 2019, 6:35 PM

When the user hovers over the "i" icon, a popup opens to explain the task type further. This may include links.

This is the part that's missing from the code that has already been merged. What will the links be? Maybe they should just be added to the configuration here https://www.mediawiki.org/wiki/Growth/Personalized_first_day/Newcomer_tasks/Prototype/templates/ko.json, and the text will always be "Learn more" no matter what task type? (Ping @MMiller_WMF )

Tgr added a comment.Oct 28 2019, 2:44 AM

Maybe they should just be added to the configuration here https://www.mediawiki.org/wiki/Growth/Personalized_first_day/Newcomer_tasks/Prototype/templates/ko.json, and the text will always be "Learn more" no matter what task type?

That seems like the best way to handle it, given especially the very limited amount of space (actual help page names might not fit on a single line).

Alternatively, the links could be part of the task type description message. That makes configuration simpler and the number and text of links more flexible, but per-project customization harder.

Tgr added a comment.Oct 28 2019, 4:10 AM

Alternatively, the links could be part of the task type description message.

Nevermind, that's a bad idea. The language of the description does not necessarily correspond to the content language of the site (and thus the name of the help page). It would have to be a separate message at a minimum (at which point there is no too much point in it being a message).

@kostajh @Tgr -- yes, the link label should always be "Learn more". I will gather the links for each task type from the ambassadors.

@kostajh @Tgr -- yes, the link label should always be "Learn more". I will gather the links for each task type from the ambassadors.

Moving out of "Ready for Development" until that's done, please move it back when it's ready. thanks!

JTannerWMF moved this task from Inbox to Upcoming Work on the Growth-Team board.

I was expecting to have the same behavior when I hover and stop hovering the (i). Here I have to hover to display it, and click on something to hide it.

Plus I'm still not sure about hiding the information, since we already have one line below. this line should be expanded instead, no? (ping @RHo)

RHo added a comment.Oct 29 2019, 3:47 PM

I was expecting to have the same behavior when I hover and stop hovering the (i). Here I have to hover to display it, and click on something to hide it.
Plus I'm still not sure about hiding the information, since we already have one line below. this line should be expanded instead, no? (ping @RHo)

– Yes, the expected behaviour on Desktop should be without the "x" and is a hovercard that disappears without the user needing to click on the "X" or click out. Basically like how the page preview cards work on articles.

@kostajh -- in talking with our ambassadors, we are realizing that some of the task types may not have appropriate help pages to link to. We're also no sure what help pages for tasks like "update article" or "expand article" would even need to look like. Would it be possible to not have the "Learn more" link for some of the task types? Is that an annoying thing that would need to be hardcoded?

@MMiller_WMF no it's not a big deal for only some task types to have links.

I will put the links on here today -- we will be taking advantage of the option to not include "Learn more" links for all task types.

@kostajh @Tgr @Catrope -- I have gathered up the links from the ambassadors, and they're in a table below. It looks like we have good links for some languages for some task types. The desired behavior is that if no link is available for a language/task type combination, then there is just no "Learn more" link at all.

If it's not reasonable to actually implement this matrix, and we need to pick only certain task types or only certain languages that have links, that's okay and please let me know. How does this look?

Taskviwikicswikiarwikikowiki
CopyeditLink
LinksLinkLink
ReferencesLinkLinkLinkLink
Update
ExpandLink
Catrope claimed this task.Nov 5 2019, 12:27 AM

Yes, this is perfectly reasonable.

Change 548567 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/GrowthExperiments@master] NewcomerTasks: Add "learn more" link support

https://gerrit.wikimedia.org/r/548567

Catrope added a comment.EditedNov 5 2019, 1:05 AM

I've added the links to the relevant JSON pages. Note that Arabic has not currently defined an "expand" task type (is this missing, or do we not have templates for it?), so I didn't add that one. We haven't started a page for Vietnamese at all yet, so I didn't do that one either.

Change 548567 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] NewcomerTasks: Add "learn more" link support

https://gerrit.wikimedia.org/r/548567

MMiller_WMF updated the task description. (Show Details)Nov 5 2019, 5:46 PM
Restricted Application added a subscriber: revi. · View Herald TranscriptNov 5 2019, 5:46 PM

Note that Arabic has not currently defined an "expand" task type (is this missing, or do we not have templates for it?), so I didn't add that one

I've done this one.

@MMiller_WMF - moving to PM just for informing you that the task is done and was verified in production.
Checked in wmf.5 - all links listed in the table are in place.